<?php
namespace SM\Factory;

use Doctrine\ORM\EntityManager;
use SM\Traits\TQuery;

class Sm00004110TipoRescisaoFactory
{

    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getTipoRescisao()
    {

        $sql = "SELECT TR.NRTIPORESCISAO, 
                       TR.DSTIPORESCISAO, 
                       TR.IDPERMITEDOCX, 
                       TR.NRSEQMODDOCFCT, 
                       MD.DSMODELODOCORCA, 
                       DECODE(TR.IDPERMITEDOCX, 'S', 'SIM', 'NÃO') AS DSPERMITEDOCX
                  FROM FCT_TIPORESCISAO TR
                  LEFT JOIN FCT_MODELODOC MD 
                    ON TR.NRSEQMODDOCFCT = MD.NRSEQMODDOCFCT";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function getModeloDocumento()
    {
        $sql = "SELECT  NRSEQMODDOCFCT, 
                        DSMODELODOCORCA
                  FROM FCT_MODELODOC";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function inserirMotivos($params)
    {
        $sql = "INSERT INTO FCT_TIPORESCISAO (
                    NRTIPORESCISAO, DSTIPORESCISAO, NRSEQMODDOCFCT, 
                    IDPERMITEDOCX,  NRORG,          DTINCLUSAO, 
                    NRORGINCLUSAO,  CDOPERINCLUSAO
                )
                VALUES (
                    :NRTIPORESCISAO,  :DSTIPORESCISAO,   :NRSEQMODDOCFCT, 
                    :IDPERMITEDOCX,   :NRORG,            SYSDATE,  
                    :NRORGINCLUSAO,   :CDOPERINCLUSAO
                )";

        $this->connection->executeStatement($sql, $params);
    }

    public function editarTipoRescisao($params)
    {
        $sql = "UPDATE FCT_TIPORESCISAO
                   SET DSTIPORESCISAO = :DSTIPORESCISAO, 
                       NRORGULTATU    = :NRORGULTATU,
                       CDOPERULTATU   = :CDOPERULTATU,
                       NRSEQMODDOCFCT = :NRSEQMODDOCFCT,
                       IDPERMITEDOCX  = :IDPERMITEDOCX,
                       DTULTATU       = SYSDATE
                 WHERE NRTIPORESCISAO = :NRTIPORESCISAO";

        $this->connection->executeStatement($sql, $params);
    }

    public function excluirTipoRescisao($parametro)
    {
        $sql = "DELETE FROM FCT_TIPORESCISAO
        WHERE NRTIPORESCISAO IN (".$parametro.")";

        $this->connection->executeStatement($sql);
    }
}
