/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PCLI                                                     */
/* Tabela : PRAZOPGTCLIE                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 03/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PCLI'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PCLI
GO

CREATE TRIGGER DTULTATU_PCLI
ON PRAZOPGTCLIE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRAZOPGTCLIE', null, 'CDCLIENTE='   + CDCLIENTE + ';' +
                                           'NRDIASPGTOCL='+ CONVERT(CHAR,NRDIASPGTOCL,103)+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRAZOPGTCLIE
      SET DTULTATUPCLI = GETDATE()
      FROM INSERTED;
   END;
END;
GO

