/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/* Compras e Suprimentos                                                      */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: 8140_CMPFUN_CALC_ESTOQ_PREV.SQL                                                  */
/*                                                                            */
/* Descrio:                                                                 */
/* Calcula a quantidade em estoque do produto na data de processamento.       */
/*                                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 23/02/99 - Yoris L. de Souza                                               */
/*                                                                            */
/* Manutenes:                                                               */
/*   /  /   -                                                                 */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* PARAMETROS:                                                                */
/*                                                                            */
/* P_CDFILIAL    - Codigo da Filial.                                          */
/* P_CDPORDUTO   - Codigo do Produto.                                         */
/* P_DTPROCESS   - Data de Processamento.                                     */
/*                                                                            */
/* @D:\SQL\NECCMP\NECESS\8140_CMPFUN_CALC_ESTOQ_PREV.SQL                             */
/******************************************************************************/

IF EXISTS (SELECT * FROM sysobjects O, sysusers U
          WHERE 
            o.name = 'CALC_ESTOQ_PREV'  and 
            type = 'P'                  and
            u.uid = o.uid               and 
            u.name = USER)
   DROP PROCEDURE CALC_ESTOQ_PREV;
GO

CREATE PROCEDURE CALC_ESTOQ_PREV @P_CDFILIAL  VARCHAR(4),
                                 @P_CDPRODUTO VARCHAR(10),
                                 @P_DTPROCESS DATETIME,
                                 @P_CALC_ESTOQ_PREV NUMERIC(15,6) OUTPUT

AS
DECLARE @V_QTDEESTO     NUMERIC(15,5);
DECLARE @V_VALRESTO     NUMERIC(15,5);
DECLARE @V_VALRBRUT     NUMERIC(15,5);

BEGIN

/* CHAMA PROCEDIMENTO DE CALCULO DA POSICAO DO ESTOQUE ATE A DATA DE PROCESSAMENTO */


   EXEC POSICAO_ESTOQUE @P_CDFILIAL , @P_CDPRODUTO,
                        @P_DTPROCESS, @P_QtdeEsto = @V_QTDEESTO OUTPUT,
                        @P_ValrEsto = @V_VALRESTO OUTPUT,
                        @P_ValrBrut = @V_VALRBRUT OUTPUT, @P_PosNZero = 'N', 
                        @P_ALMOXARIFE = NULL, @P_LOCALESTOQ = NULL;
 --RETURN (V_QTDEESTO);
   SET @P_CALC_ESTOQ_PREV = @V_QTDEESTO;
END;
GO